> For the complete documentation index, see [llms.txt](https://docs.telm.ai/telmai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.telm.ai/telmai/api-reference.md).

# API Reference

- [Overview](https://docs.telm.ai/telmai/api-reference/telmai-apis.md)
- [IP Allowlist](https://docs.telm.ai/telmai/api-reference/telmai-ip-list.md): This page describes the set of IP addresses used by Telmai. The list of IPs needs to be whitelisted at client's environment to allow access to their datalake
- [Authentication](https://docs.telm.ai/telmai/api-reference/authentication-api.md)
- [API Keys](https://docs.telm.ai/telmai/api-reference/authentication-api/api-keys.md): An alternate way to access Telmai APIs using API Key.
- [Google Service Account](https://docs.telm.ai/telmai/api-reference/authentication-api/get-google-service-account-api.md)
- [Connections](https://docs.telm.ai/telmai/api-reference/connections.md)
- [Assets](https://docs.telm.ai/telmai/api-reference/assets-api.md)
- [Asset Groups](https://docs.telm.ai/telmai/api-reference/assets-api/assets-group-api.md)
- [Monitors](https://docs.telm.ai/telmai/api-reference/monitors-api.md)
- [Incidents](https://docs.telm.ai/telmai/api-reference/incidents-api.md)
- [Trigger Scan](https://docs.telm.ai/telmai/api-reference/upload-data-api.md)
- [Replay Monitor Scan](https://docs.telm.ai/telmai/api-reference/upload-data-api/replay-monitor-scan.md)
- [Track Scan Job](https://docs.telm.ai/telmai/api-reference/upload-data-api/track-job-status.md): APIs to track status of upload
- [Check for Alerts](https://docs.telm.ai/telmai/api-reference/upload-data-api/check-for-alerts.md): APIs to check alert status of a given job
- [Spark Job Config](https://docs.telm.ai/telmai/api-reference/spark-job-config-api.md)
- [Ticket Integration](https://docs.telm.ai/telmai/api-reference/ticket-integration-api.md)
- [Alation Integration](https://docs.telm.ai/telmai/api-reference/alation-integration-apis.md)
- [DQ Reporting](https://docs.telm.ai/telmai/api-reference/dq-reporting-apis.md)
- [DQ Score](https://docs.telm.ai/telmai/api-reference/dq-score-api.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.telm.ai/telmai/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
